Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.impl
Class C3P0PooledConnectionPool

    java.lang.Object
      com.mchange.v2.c3p0.impl.C3P0PooledConnectionPool

    public final class C3P0PooledConnectionPool

extends java.lang.Object

Method Summary
`void` | `checkinPooledConnection(javax.sql.PooledConnection pcon)`
`javax.sql.PooledConnection` | `checkoutPooledConnection()`
`void` | `close()`
`void` | `close(boolean close_outstanding_connections)`
`java.lang.String` | `dumpStatementCacheStatus()`
`float` | `getEffectivePropertyCycle()`
`java.lang.Throwable` | `getLastAcquisitionFailure()`
`java.lang.Throwable` | `getLastCheckinFailure()`
`java.lang.Throwable` | `getLastCheckoutFailure()`
`java.lang.Throwable` | `getLastConnectionTestFailure()`
`java.lang.Throwable` | `getLastIdleTestFailure()`
`int` | `getNumBusyConnections()`
`int` | `getNumConnections()`
`long` | `getNumFailedCheckins()`
`long` | `getNumFailedCheckouts()`
`long` | `getNumFailedIdleTests()`
`int` | `getNumIdleConnections()`
`int` | `getNumThreadsAwaitingCheckout()`
`int` | `getNumUnclosedOrphanedConnections()`
`long` | `getStartTime()`
`int` | `getStatementCacheNumCheckedOut()`
`int` | `getStatementCacheNumConnectionsWithCachedStatements()`
`int` | `getStatementCacheNumStatements()`
`int` | `getStatementDestroyerNumConnectionsInUse()`
`int` | `getStatementDestroyerNumConnectionsWithDeferredDestroyStatements()`
`int` | `getStatementDestroyerNumDeferredDestroyStatements()`
`long` | `getUpTime()`
`void` | `reset()` Discards all Connections managed by the pool and reacquires new Connections to populate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getStatementDestroyerNumConnectionsInUse

    public int getStatementDestroyerNumConnectionsInUse()

### getStatementDestroyerNumConnectionsWithDeferredDestroyStatements

    public int getStatementDestroyerNumConnectionsWithDeferredDestroyStatements()

### getStatementDestroyerNumDeferredDestroyStatements

    public int getStatementDestroyerNumDeferredDestroyStatements()

### checkoutPooledConnection

    public javax.sql.PooledConnection checkoutPooledConnection()
                                                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### checkinPooledConnection

    public void checkinPooledConnection(javax.sql.PooledConnection pcon)
                                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getEffectivePropertyCycle

    public float getEffectivePropertyCycle()
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumThreadsAwaitingCheckout

    public int getNumThreadsAwaitingCheckout()
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getStatementCacheNumStatements

    public int getStatementCacheNumStatements()

### getStatementCacheNumCheckedOut

    public int getStatementCacheNumCheckedOut()

### getStatementCacheNumConnectionsWithCachedStatements

    public int getStatementCacheNumConnectionsWithCachedStatements()

### dumpStatementCacheStatus

    public java.lang.String dumpStatementCacheStatus()

### close

    public void close()
               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### close

    public void close(boolean close_outstanding_connections)
               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumConnections

    public int getNumConnections()
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumIdleConnections

    public int getNumIdleConnections()
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumBusyConnections

    public int getNumBusyConnections()
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumUnclosedOrphanedConnections

    public int getNumUnclosedOrphanedConnections()
                                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getStartTime

    public long getStartTime()
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getUpTime

    public long getUpTime()
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumFailedCheckins

    public long getNumFailedCheckins()
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumFailedCheckouts

    public long getNumFailedCheckouts()
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumFailedIdleTests

    public long getNumFailedIdleTests()
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getLastCheckinFailure

    public java.lang.Throwable getLastCheckinFailure()
                                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getLastCheckoutFailure

    public java.lang.Throwable getLastCheckoutFailure()
                                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getLastIdleTestFailure

    public java.lang.Throwable getLastIdleTestFailure()
                                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getLastConnectionTestFailure

    public java.lang.Throwable getLastConnectionTestFailure()
                                                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getLastAcquisitionFailure

    public java.lang.Throwable getLastAcquisitionFailure()
                                                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### reset

    public void reset()
               throws java.sql.SQLException

  Discards all Connections managed by the pool and reacquires new Connections to populate. Current checked out Connections will still be valid, and should still be checked into the pool (so the pool can destroy them).

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD